Subject: Re: [TLS] WG adoption: draft-nir-tls-rfc4492bis

From: Peter Gutmann <[email-masked]>
Date: Thu, 4 Dec 2014 07:42:13 +0000

Jeffrey Walton <[email-masked]> yes:

>Wouldn't that put certificate parameters (like signing algorithms) under the
>purview of PKIX WG?

Yes.  That's the problem with this requirement (which others have already
pointed out), it's a layering violation.  The TLS stack should not be
dictating terms to the PKI implementation or the CA.

That's not to say that PKIX doesn't do the same thing.  Their CMP spec
requires that the cert-transport layer pull apart the certificates that are
being communicated, extract the signature algorithm from the cert, and
authenticate the messaging using the algorithm used to sign the cert. 

Both are a me-centric worldview, for TLS it's "the PKI does what the transport
tells it to", for PKIX it's "the transport does what the PKI tells it to".  If
RFC 1958 gets updated at some point they should add "Redde Caesari quae sunt
Caesaris" as a design principle.

Peter.